#define F_CPU 4000000ULL//for util/delay.h
#include "RFM70.h"
#include <avr/io.h>         //for register addresses and bit names of AVR
#include <stdint.h>         //for uint8_t
#include <util/delay.h>     //for _delay_ms()

// kies maar een adres, uncomment alleen die:
static const uint8_t address[]={ 0xC0, 0xFF, 0xEE, 0xBA, 0xBE } ; // coffee babe
// static const uint8_t address[]={ 0xEF, 0xFE, 0xC0, 0xFF, 0xEE } ; // effe coffee 
// static const uint8_t address[]={ 0xDE, 0xAD, 0xC0, 0xFF, 0xEE } ; // dead coffee 
// static const uint8_t address[]={ 0xDE, 0xAD, 0xBE, 0xEE, 0xEF } ; // dead beeeef 
// static const uint8_t address[]={ 0xCO, 0xFF, 0xEE, 0xCA, 0xFE } ; // coffee cafe

 


int main(){
static uint8_t buff[32]; // static, want ik geef poiter door. Var moet dus blijven staan waar 'ie staat.
uint8_t i;
DDRD = 0xff; // portD = outputs
PORTD = 0xff; // en allemaal hoog (LED's uit)
PORTB|=(1<<0); // pullup op portb.0

	if(RFM70_Initialize(0,address)){ // init RFM70. Kanaal 1, adres p0_adress. indien gelukt lus uitvoeren
	PORTD&=~(1<<0); // LED 0 aan
	}

	while(1){
		if((PINB&(1<<0))==0){ // indien switch ingegdrukt
			for(i=0;i<32;i++) buff[i]=i; 
			if(Send_Packet(buff,32)) PORTD&=~(1<<1); // transmit, led1 aan wanneer succesvol
			while((PINB&(1<<0))==0) _delay_ms(200); // wacht tot switch losgelaten is
		PORTD|=(1<<1); // led weer uit
		Select_RX_Mode(); // en weer terug naar ontvangstmodus (send_packet schakelt vanzelf naar zendmodus)
		}
		if(Packet_Received()){ 
			buff[5]=0; // even buffer wijzigen zodat ik kan zien of binnengekomen data nieuw is of niet
			Receive_Packet(&buff[0]);
			if(buff[5]==5){
			PORTD^=(1<<2); // toggle led2
			Select_RX_Mode(); // flush rx buffer
			buff[0]=0; // ook op de uc.
			}
		}
	}

}
